Package fr.gouv.vitam.common.guid

# Class GUIDObjectType

java.lang.Object
fr.gouv.vitam.common.guid.GUIDObjectType

public final class GUIDObjectType extends Object
Defines all types that could have a UUID

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `GUIDObjectType.GUIDObjectEnumType`
  Utility Enum for GUIDObjectType

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCESSION_REGISTER_DETAIL_TYPE`
  Accession register detail
  `static final int`
  `ACCESSION_REGISTER_SUMMARY_TYPE`
  Accession register summary
  `static final int`
  `AGENCY_TYPE`
  Agency
  `static final int`
  `CONTEXT_TYPE`
  Context
  `static final int`
  `CONTRACT_TYPE`
  Entry contract
  `static final int`
  `EVENT_TYPE`
  Event within a Logbook (Operation or Lifecycle Logbook)
  `static final int`
  `MANIFEST_TYPE`
  Ingest manifest
  `static final int`
  `OBJECT_TYPE`
  Object
  `static final int`
  `OBJECTGROUP_TYPE`
  Object Group
  `static final int`
  `ONTOLOGY_TYPE`
  Ontology
  `static final int`
  `OPERATION_LOGBOOK_TYPE`
  Operation logbook
  `static final int`
  `PROFILE_TYPE`
  Profile
  `static final int`
  `REQUESTID_TYPE`
  Access Request (not associated with an operation)
  `static final int`
  `STORAGE_OPERATION_TYPE`
  Storage (CAS) Operation
  `static final int`
  `UNASSIGNED_TYPE`
  Unassigned
  `static final int`
  `UNIT_TYPE`
  Unit
  `static final int`
  `WRITE_LOGBOOK_TYPE`
  Write Operation logbook

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getChildrenType(int type)`
  `static boolean`
  `getDefaultWorm(int type)`
  `static GUIDObjectType.GUIDObjectEnumType`
  `getEnumType(int id)`
  Utility method to get Enum instead of int

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNASSIGNED_TYPE

    public static final int UNASSIGNED_TYPE
    Unassigned
    See Also:
      - Constant Field Values

  - ### UNIT_TYPE

    public static final int UNIT_TYPE
    Unit
    See Also:
      - Constant Field Values

  - ### OBJECTGROUP_TYPE

    public static final int OBJECTGROUP_TYPE
    Object Group
    See Also:
      - Constant Field Values

  - ### OBJECT_TYPE

    public static final int OBJECT_TYPE
    Object
    See Also:
      - Constant Field Values

  - ### OPERATION_LOGBOOK_TYPE

    public static final int OPERATION_LOGBOOK_TYPE
    Operation logbook
    See Also:
      - Constant Field Values

  - ### WRITE_LOGBOOK_TYPE

    public static final int WRITE_LOGBOOK_TYPE
    Write Operation logbook
    See Also:
      - Constant Field Values

  - ### MANIFEST_TYPE

    public static final int MANIFEST_TYPE
    Ingest manifest
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE

    public static final int EVENT_TYPE
    Event within a Logbook (Operation or Lifecycle Logbook)
    See Also:
      - Constant Field Values

  - ### REQUESTID_TYPE

    public static final int REQUESTID_TYPE
    Access Request (not associated with an operation)
    See Also:
      - Constant Field Values

  - ### STORAGE_OPERATION_TYPE

    public static final int STORAGE_OPERATION_TYPE
    Storage (CAS) Operation
    See Also:
      - Constant Field Values

  - ### ACCESSION_REGISTER_SUMMARY_TYPE

    public static final int ACCESSION_REGISTER_SUMMARY_TYPE
    Accession register summary
    See Also:
      - Constant Field Values

  - ### CONTRACT_TYPE

    public static final int CONTRACT_TYPE
    Entry contract
    See Also:
      - Constant Field Values

  - ### PROFILE_TYPE

    public static final int PROFILE_TYPE
    Profile
    See Also:
      - Constant Field Values

  - ### CONTEXT_TYPE

    public static final int CONTEXT_TYPE
    Context
    See Also:
      - Constant Field Values

  - ### ACCESSION_REGISTER_DETAIL_TYPE

    public static final int ACCESSION_REGISTER_DETAIL_TYPE
    Accession register detail
    See Also:
      - Constant Field Values

  - ### AGENCY_TYPE

    public static final int AGENCY_TYPE
    Agency
    See Also:
      - Constant Field Values

  - ### ONTOLOGY_TYPE

    public static final int ONTOLOGY_TYPE
    Ontology
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getEnumType

    public static GUIDObjectType.GUIDObjectEnumType getEnumType(int id)
    Utility method to get Enum instead of int
    Parameters:
      `id` -
    Returns:
      the enum corresponding Id

  - ### getChildrenType

    public static int getChildrenType(int type)
    Parameters:
      `type` -
    Returns:
      the associated children type

  - ### getDefaultWorm

    public static boolean getDefaultWorm(int type)
    Parameters:
      `type` -
    Returns:
      the default Worm status